Skip to content
WP EngineDocumentation

Retrieve API specification

GET
/swagger
curl --request GET \
--url https://api.wpengineapi.com/v1/swagger

Returns the current Swagger specification for the API. This endpoint doesn’t require authentication.

Returns the current specification document.

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable